-- fact tables
CREATE TABLE fact_contact (
	id 		SERIAL PRIMARY KEY,
	tl_id 		INTEGER NOT NULL REFERENCES dim_telecenter,
	cit_id		INTEGER NOT NULL REFERENCES dim_city,
	dat_id 		DATE NOT NULL REFERENCES dim_date,
	macaddr		MACADDR NOT NULL,
        machine_type 	machine_type_enum DEFAULT 'client' NOT NULL,
	ts		TIMESTAMP,
	UNIQUE (tl_id, dat_id, macaddr)
);

CREATE TABLE fact_net_usage (
	id 	SERIAL PRIMARY KEY,
	tl_id 	INTEGER NOT NULL REFERENCES dim_telecenter, /*cit_id aqui dentro*/
	dat_id 	DATE NOT NULL REFERENCES dim_date,
	macaddr	MACADDR NOT NULL,

	collect_time 	TIME WITHOUT TIME ZONE NOT NULL,
	down_kbits 	BIGINT NOT NULL DEFAULT 0,
	down_packages 	INTEGER NOT NULL DEFAULT 0,
	up_kbits	BIGINT NOT NULL DEFAULT 0,
	up_packages 	INTEGER NOT NULL DEFAULT 0
);
