SELECT
    get_month_name(extract(month from base_date)::integer)::text AS month,
    SUM(is_green) AS green,
    SUM(is_yellow) AS yellow,
    SUM(is_red) AS red
FROM
    aggr_availability a JOIN point p ON a.id_point = p.id
WHERE
    base_date = (SELECT max(base_date) FROM aggr_availability) AND
    ($1::text IS NULL OR region = $1::text) AND
    ($2::text IS NULL OR state = $2::text) AND
    ($3::bigint IS NULL OR p.id_city = $3::bigint)
GROUP BY
    base_date
ORDER BY
    base_date DESC
LIMIT 6;