/*
 * This route retrieve and return telecenter info.
 * If no params are given, the return will be all telecenters registered.
 * The user can filter by the state abbreviation (e.g: PR), followed by the
 * city code (supplied by the brazilian institute IBGE), and lastly by the
 * telecenter id.
 */
exports.list = function(req, res) {

    var queries_dir = __dirname + "/../queries/"

    var params = [
        req.params.state || null,
        req.params.city_id || null,
        req.params.telecenter_id || null
    ];

    var query_file = queries_dir + 'get_telecenter_info.sql';
    req.db.queryFromFile(query_file, params, function(result) {
        req.db.done();
        res.json(result.rows);
    });
};
